> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Fax Extension

> Delete a fax extension and clean up its inbound routing destinations and device assignment



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json delete /v2/admin/extensions/fax/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/extensions/fax/{id}:
    delete:
      tags:
        - Extensions
      summary: Delete Fax Extension
      description: >-
        Delete a fax extension and clean up its inbound routing destinations and
        device assignment
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Extension ID
      responses:
        '200':
          description: Deleted fax extension
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Extension ID
                  tenant:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: false
                    description: Owning tenant
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Extension name
                  number:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Extension number
                  email:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Extension email
                  peerName:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: SIP peer name
                  callerIdNumber:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Outbound caller ID number
                  recording:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Call recording mode
                  callLimit:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Concurrent call limit
                  dialTimeout:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Inbound ring timeout (seconds)
                  routingProfileId:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Routing profile ID
                  emergencyLocationId:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Emergency location ID
                  outboundDialPrefix:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Outbound dial prefix
                  includeInPhonebook:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Phonebook inclusion
                  enableForwarding:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Forwarding state
                  emergencyLocationComment:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Free-text emergency location comment
                  branch:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                    required:
                      - id
                      - name
                    additionalProperties: false
                    description: Branch
                  emergencyLocation:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                          address: {}
                        required:
                          - id
                          - address
                        additionalProperties: false
                      - type: 'null'
                    description: Emergency location
                  devices:
                    default: []
                    description: Assigned devices
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        mac:
                          type: string
                      required:
                        - id
                        - name
                        - mac
                      additionalProperties: false
                required:
                  - id
                  - tenant
                  - name
                  - number
                  - email
                  - peerName
                  - callerIdNumber
                  - recording
                  - callLimit
                  - dialTimeout
                  - routingProfileId
                  - emergencyLocationId
                  - outboundDialPrefix
                  - includeInPhonebook
                  - enableForwarding
                  - emergencyLocationComment
                  - branch
                  - emergencyLocation
                  - devices
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````